
Foreman - Bug #6281

Attempting to remove openstack compute resource gives FK error

06/18/2014 09:34 PM - Justice London

Status: Duplicate   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

I am attempting to remove an openstack compute resource which is no longer tied to any hosts and receive the following error:

PG::ForeignKeyViolation

ERROR: update or delete on table "images" violates foreign key constraint "hosts_image_id_fk" on table "hosts" DETAIL: Key

(id)=(1) is still referenced from table "hosts".

app/controllers/compute_resources_controller.rb:72:in `destroy'

app/models/concerns/foreman/thread_session.rb:33:in `clear_thread'

lib/middleware/catch_json_parse_errors.rb:9:in `call'

If you need any further details let me know. I verified and no hosts are currently using this resource.

Related issues:

Is duplicate of Foreman - Bug #4416: 500 FK error when deleting old image in ... Closed 02/23/2014

History

#1 - 06/19/2014 07:25 AM - Dominic Cleal

- Is duplicate of Bug #4416: 500 FK error when deleting old image in compute resource added

#2 - 06/19/2014 07:26 AM - Dominic Cleal

- Status changed from New to Duplicate

Thanks for the report, we're tracking this under #4416.
